#version 430

layout (binding = 0) uniform sampler3D densities;
layout (binding = 1) uniform sampler2D albedo;
layout (binding = 2) uniform sampler2D bump;

in vec3 varTextureG;
in vec2 varUV;

out vec4 color;

void main(void) {
    vec3 f = texture(albedo, varUV).rgb;
    color = vec4(f, 1.0);
}
